Name:           lorax-templates-rocky
Version:        10.0
Release:        56.0.1%{?dist}
Summary:        Rocky Linux 10 build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch

# This tarball is generated from the contents of this dist-git repository
# by running the command `make tar`.
# See README for full details of how to update this package
Source0:        lorax-templates-rhel-10.0-56.tar.gz
Patch1:         0001-Add-RISCV64-templates.patch

# Required for the template branding support
Requires:       lorax >= 34.9.1

Provides:       lorax-templates = %{version}-%{release}
Provides:       lorax-templates-rhel = %{version}-%{release}
Obsoletes:      lorax-templates-rhel < %{version}-%{release}


# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-rocky

%description
EL-specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup -n lorax-templates-rhel-%{version}
%patch -P 1 -p 1

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-rhel/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Fri Feb 21 2025 Louis Abel <label@resf.org> - 10.0-56
- Update to 56

* Mon Nov 18 2024 Louis Abel <label@resf.org> - 10.0-55
- Update to 55

* Tue Oct 29 2024 Louis Abel <label@resf.org> - 10.0-54
- Bump for rebuild

* Wed Sep 11 2024 Louis Abel <label@resf.org> - 10.0-53
- Update to 53

* Thu Aug 08 2024 Louis Abel <label@resf.org> - 10.0-52
- Update to 52

* Mon Aug 05 2024 Louis Abel <label@resf.org> - 10.0-51
- Update to 51

* Thu Jul 18 2024 Louis Abel <label@resf.org> - 10.0-50
- Update to 50

* Fri Jun 28 2024 Louis Abel <label@resf.org> - 10.0-49
- Update to 49

* Wed Jun 05 2024 Louis Abel <label@resf.org> - 10.0-47
- Update to 47

* Wed May 29 2024 Louis Abel <label@resf.org> - 10.0-46
- Update to 46

* Thu May 23 2024 Louis Abel <label@resf.org> - 10.0-45
- Update to 45

* Mon Apr 22 2024 Louis Abel <label@resf.org> - 10.0-44
- Update to 44

* Wed Feb 21 2024 Louis Abel <label@resf.org> - 10.0-43
- Initial build of lorax-templates-rocky, based on rhel
